<?php
require_once("config.inc.php");
require_once('func_doz_nachbes.php');

// Synopse inkl. vzä
require_once('func_doz_synopse.php');

require_once('func_grundgehalt.php');
require_once('func_LB_obergrenze.php');
require_once('func_LB_obergrenze_Limit_stufe1.php');
require_once('func_LB_obergrenze_Limit_stufe2.php');
require_once('func_besschnitt.php');
#require_once('func_besausg.php');
require_once('func_LB_BZ.php');
require_once('func_LB_BZ_fiktiv.php');
require_once('func_LB_LZ.php');
require_once('func_LB_einmal.php');
require_once('func_LB_FZ.php');

require_once('func_zusammenstellung.php');
require_once("func_rollenrechte.php");


// Rechte�berpr�fung
#$db = dbconnect();
if ($user_admin == ""){ require("index.php"); exit;} //Wenn man nicht angemeldet ist, darf man nicht auf die Seite
if(!rore($user_admin,'a_gesber','RE')){echo "Keine Rechte";exit;}
// Rechte�berpr�fung ende


function func_gesamtberechnung(){

$beginn_ges = microtime(true); 
echo "<html>
  <head>
    <meta http-equiv='Content-Type' content='text/html; charset=utf-8'>
    <link rel='stylesheet' href='./templates/standard/css/styles_pc.php' type='text/css'>
    <title>Gesamtberechnung</title>
  </head>
  <body>
    <table border='0' style='border-collapse: collapse' width='100%' cellpadding='0' height='100%' id='table1'>
      <tr>
        <td>
          <div align='center'>
            <table cellspacing='0' cellpadding='0' width='80%' border='0'>
              <tr>
                <td width='10' background='./templates/standard/images/box_e1.gif'>
                  <img height='40' src='./templates/standard/images/blank.gif' width='22'></td>

                <td width='95%' background='./templates/standard/images/box_top.gif'>
                  <img height='10' src='./templates/standard/images/blank.gif' width='1'><br>
                  <font class='hd'>Gesamtberechnung</font><br>
                <td nowrap='nowrap' align='left' width='3%' background='./templates/standard/images/box_top.gif' valign='top'></td>
              <img height='5' src='./templates/standard/images/blank.gif' width='1'></td>
              <td nowrap='nowrap' align='right' width='1%' background='./templates/standard/images/box_e2.gif'>
                <img height='40' src='./templates/standard/images/blank.gif' width='22'></td>
              </tr>
              <tr>
                <td width='1%' background='./templates/standard/images/box_l.gif'>
                  <img height='1' src='./templates/standard/images/blank.gif' width='22'></td>
                <td colspan='2'><br><p align='left'>";
                
  $db = dbconnect();

  $query_besschnitt = $db->query("SELECT bezeichnung, wert1, wert2
                                    FROM `prog_parameter`
                                   WHERE pid =2
                                ");
  $row_besschnitt = $query_besschnitt->fetch_array();
  
  $query_besausg = $db->query("SELECT bezeichnung, wert1, wert2
                                    FROM `prog_parameter`
                                   WHERE pid =3
                                ");
  $row_besausg = $query_besausg->fetch_array();
  
  $query_grundgeh = $db->query("SELECT bezeichnung, wert1, wert2
                                    FROM `prog_parameter`
                                   WHERE pid =6
                                ");
  $row_grundgeh = $query_grundgeh->fetch_array();
  
  $query_stg_lb_bz = $db->query("SELECT bezeichnung, wert1, wert2
                                    FROM `prog_parameter`
                                   WHERE pid =4
                                ");
  $row_stg_lb_bz = $query_stg_lb_bz->fetch_array();
  
  $query_stw_lb_einmal = $db->query("SELECT bezeichnung, wert1, wert2
                                    FROM `prog_parameter`
                                   WHERE pid =5
                                ");
  $row_stw_lb_einmal = $query_stw_lb_einmal->fetch_array();
  
  $query_max_delta = $db->query("SELECT bezeichnung, wert1, wert2
                                   FROM `prog_parameter`
                                  WHERE pid =7
                               ");
  $row_max_delta = $query_max_delta->fetch_array();
  
  $query_basbet_bz = $db->query("SELECT bezeichnung, wert1, wert2
                                   FROM `prog_parameter`
                                  WHERE pid =8
                               ");
  $row_basbet_bez = $query_basbet_bz->fetch_array();
  
  echo "<table width='100%' border=1 cellpadding=0 cellspacing=0>
        <tr>
         <td width='40%'>
           <b>Bezeichnung</b>
         </td>
         <td width='50%' align='right'>
           <b>Werte</b>
         </td>
         <td align='right'>
           <b>Dauer</b>
         </td>
        </tr>


   


    <tr>
      <td width='40%'>
        Berechne Professoren und Nachfolger:
      </td>
      <td width='50%' align='right'>";
        $beginn = microtime(true); 
        func_doz_nachbes();
        $dauer = number_format(microtime(true)-$beginn, 2, ',', '.');
  echo "&nbsp;</td>
        <td align='right'>
          $dauer
        </td>
      </tr>
      <tr>
      <td width='40%'>
        Berechnung der fortlaufenden Grundgehälter der Professorenbesoldung:
      </td>
      <td width='50%' align='right'>
        Fiktive Steigung: $row_besausg[wert1] %";
        $beginn = microtime(true); 
        func_grundgehalt($row_besausg['wert1']);
        $dauer = number_format(microtime(true)-$beginn, 2, ',', '.');
  echo "&nbsp;</td>
        <td align='right'>
          $dauer
        </td>
      </tr>

      <tr>
      <td width='40%'>
        Zusammenstellung der monatlichen Löhne:
      </td>
      <td width='50%' align='right'>";
        $beginn = microtime(true); 
        func_doz_synopse();
        $dauer = number_format(microtime(true)-$beginn, 2, ',', '.');
  echo "&nbsp;</td>
        <td align='right'>
          $dauer
        </td>
      </tr>


      <tr>
      <td width='40%'>
        $row_besschnitt[bezeichnung]
      </td>
      <td width='50%' align='right'>";
        echo number_format($row_besschnitt['wert1'], 2, ',', '.')." $row_besschnitt[wert2]";
        $beginn = microtime(true); 
        func_besschnitt($row_besschnitt['wert1']);
        $dauer = number_format(microtime(true)-$beginn, 2, ',', '.');
  echo "</td>
        <td align='right'>
          $dauer
        </td>
      </tr>


      <tr>
      <td width='40%'>
        $row_grundgeh[bezeichnung]
      </td>
      <td width='50%' align='right'>
        $row_grundgeh[wert1] $row_grundgeh[wert2]";
        $beginn = microtime(true); 
        func_LB_obergrenze($row_grundgeh['wert1']);
        $dauer = number_format(microtime(true)-$beginn, 2, ',', '.');
  echo "</td>
        <td align='right'>
          $dauer
        </td>
      </tr>
      <tr>
      <td width='40%'>
        $row_stg_lb_bz[bezeichnung]
      </td>
      <td width='50%' align='right'>
        $row_stg_lb_bz[wert1] $row_stg_lb_bz[wert2]";
        $beginn = microtime(true); 
        func_LB_BZ($row_stg_lb_bz['wert1']);
        $dauer = number_format(microtime(true)-$beginn, 2, ',', '.');
  echo "</td>
        <td align='right'>
          $dauer
        </td>
      </tr>
      
      
      <tr>
      <td width='40%'>
        $row_basbet_bez[bezeichnung]:
      </td>
      <td width='50%' align='right'>
        $row_basbet_bez[wert1] $row_basbet_bez[wert2]";
        $beginn = microtime(true); 
        func_LB_BZ_fiktiv($row_basbet_bez['wert1'], $row_stg_lb_bz['wert1']);
        $dauer = number_format(microtime(true)-$beginn, 2, ',', '.');
  echo "</td>
        <td align='right'>
          $dauer
        </td>
      </tr>

      
      
      <tr>
      <td width='40%'>
        Berechnung der LBZ mtl.:
      </td>
      <td width='50%' align='right'>";
        $beginn = microtime(true); 
        func_LB_LZ();
        $dauer = number_format(microtime(true)-$beginn, 2, ',', '.');
  echo "</td>
        <td align='right'>
          $dauer
        </td>
      </tr>
      <tr>
      <td width='40%'>
        Berechnung der Obergrenze von LBZ mtl. C2/W3 vor 31.12.2017
      </td>
      <td width='50%' align='right'>";
        $beginn = microtime(true); 
        func_LB_obergrenze_Limit_stufe1();
        $dauer = number_format(microtime(true)-$beginn, 2, ',', '.');
  echo "</td>
        <td align='right'>
          $dauer
        </td>
       </tr>
      <tr>
      <td width='40%'>
        $row_max_delta[bezeichnung]
      </td>
      <td width='50%' align='right'>
        $row_max_delta[wert1] $row_max_delta[wert2]";
        $beginn = microtime(true); 
        func_LB_obergrenze_Limit_stufe2($row_max_delta['wert1']);
        $dauer = number_format(microtime(true)-$beginn, 2, ',', '.');
  echo "</td>
        <td align='right'>
          $dauer
        </td>
       </tr>
       <tr>
       <td width='40%'>
         $row_stw_lb_einmal[bezeichnung]
       </td>
       <td width='50%' align='right'>";
         echo number_format($row_stw_lb_einmal['wert1'], 2, ',', '.')." $row_stw_lb_einmal[wert2]";
         
        $beginn = microtime(true); 
        func_LB_einmal($row_stw_lb_einmal['wert1']);
        $dauer = number_format(microtime(true)-$beginn, 2, ',', '.');
  echo "</td>
        <td align='right'>
          $dauer
        </td>
      </tr>
      <tr>
      <td width='40%'>
        Berechnung der Funktionszulagen
      </td>
      <td width='50%' align='right'>";
        $beginn = microtime(true); 
        func_LB_FZ();
        $dauer = number_format(microtime(true)-$beginn, 2, ',', '.');
        
  echo "</td>
        <td align='right'>
          $dauer
        </td>
      </tr>
      <tr>
      <td width='40%'>
        Zusammenstellen der Daten
      </td>
      <td width='50%' align='right'>";
        $beginn = microtime(true); 
        func_zusammenstellung();
        $dauer = number_format(microtime(true)-$beginn, 2, ',', '.');
        
   echo "</td>
         <td align='right'>
           $dauer
        </td>
        </tr>
        <tr>
        <td width='40%'>
         <b>Gesamtlaufzeit:</b>
        </td>
        <td width='50%' align='right'>
        </td>
        <td width='50%' align='right'>";
        
        $dauer2 = number_format(microtime(true)-$beginn_ges, 2, ',', '.');
        echo"
          <b>$dauer2</b>
        </td>
        </tr>
        </table>
      ";

echo "                </td>
                <td width='1%' background='./templates/standard/images/box_r.gif'>
                  <img height='1' src='./templates/standard/images/blank.gif' width='22'></td>
              </tr>
              <tr>
                <td nowrap='nowrap' align='left' width='1%' background='./templates/standard/images/box_e3.gif'>
                  <img height='16' src='./templates/standard/images/blank.gif' width='22'></td>
                <td nowrap='nowrap' align='left' width='98%' background='./templates/standard/images/box_bottom.gif' colspan='2'>
                  <img height='16' src='./templates/standard/images/blank.gif' width='8'></td>
                <td nowrap='nowrap' align='right' width='1%' background='./templates/standard/images/box_e4.gif'>
                  <img height='16' src='./templates/standard/images/blank.gif' width='22'> </td>
              </tr>
            </table>
          </div>
        </td>
      </tr>
    </table>
  </body>
</html>";
}
func_gesamtberechnung();

?>